package lark

import (
	"context"
	"github.com/larksuite/oapi-sdk-go/core"
	im "github.com/larksuite/oapi-sdk-go/service/im/v1"
)

func (l Lark) SendMessage(code string) error {
	coreCtx := core.WrapContext(context.Background())

	reqCall := l.imService.Messages.Create(coreCtx, &im.MessageCreateReqBody{
		ReceiveId: "ou_a11d2bcc7d852afbcaf37e5b3ad01f7e",
		Content:   `{"text":"<at user_id="ou_a11d2bcc7d852afbcaf37e5b3ad01f7e">Tom</at> test content"}`,
		MsgType:   "text",
	})
	reqCall.SetReceiveIdType("user_id")
	_, err := reqCall.Do()
	return err
}
